import request from '@/utils/request';

/**
 * 查询列表
 * @param {*} params
 * @returns
 */
export const getRegulationList = (params) => request('/posts', { params });

/**
* 新增
* @param {*} data
* @returns
*/
export const addRegulation = (data) => request('/posts', { method: 'post', data });

/**
 * 更新
 * @param {*} data
 * @returns
 */
export const updataRegulation = (data, id) => request(`/posts/${id}`, { method: 'get', data });

/**
* 详情
* @param {*} id
* @returns
*/
export const getRegulationById = (id) => request(`/posts/${id}`);

/**
 * 删除
 * @param {*} id
 * @returns
 */
export const deleteRegulation = (id) => request(`/posts/${id}`, { method: 'delete' });